
set INSTDIR=%1%
set OPENSSL_CONF=%INSTDIR%\tools\openssl\openssl.cfg

set CERTPATH=%INSTDIR%\phonalisa-data\certs

cd %INSTDIR%\tools\openssl
"%INSTDIR%\tools\openssl\openssl.exe" genrsa -out "%CERTPATH%\phonalisa-siemens-prov.key" 1024
"%INSTDIR%\tools\openssl\openssl.exe" req -batch -new -key "%CERTPATH%\phonalisa-siemens-prov.key" -out "%CERTPATH%\phonalisa-siemens-prov.csr"
"%INSTDIR%\tools\openssl\openssl.exe" x509 -req -days 3650 -in "%CERTPATH%\phonalisa-siemens-prov.csr" -signkey "%CERTPATH%\phonalisa-siemens-prov.key" -out "%CERTPATH%\phonalisa-siemens-prov.crt"
